# OperationDescriptor

interface OperationDescriptor

Describes an operation for which an event has occurred.

You can use `equals()` to determine whether 2 different descriptors refer to the same operation.

The subtypes of this interface define specific types of operations, such as task execution.

#### Since

2.4

#### Inheritors

WorkItemOperationDescriptor
TaskOperationDescriptor
ProjectConfigurationOperationDescriptor
TransformOperationDescriptor
TestOperationDescriptor
TestOutputDescriptor
BuildPhaseOperationDescriptor
BaseProblemDescriptor
FileDownloadOperationDescriptor

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
Returns a human consumable display name for the operation.
getName
Link copied to clipboard
abstract fun getName(): String
Returns the name of the operation.
getParent
Link copied to clipboard
@Nullable
abstract fun getParent(): @Nullable OperationDescriptor
Returns the parent operation, if any.